> For the complete documentation index, see [llms.txt](https://docs.verygoodsecurity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verygoodsecurity.com/enterprise-platform/core-platform/reports/scheduled-report-delivery/network-tokens-lifecycle-events-report.md).

# Network Tokens Lifecycle Events Report

### Overview

The example below documents the detail report for Network Token Lifecycle events, which captures every provisioning and update event for network tokens on an individual account.

#### Field Reference

<table><thead><tr><th width="288.765625">Column</th><th width="234.65625">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>tenant_id</code></td><td>Identifier of the CMP account that this card belongs to.</td><td>tnt12345</td></tr><tr><td><code>card_id</code></td><td>Unique identifier of the card in the VGS Card Management Platform (CMP).</td><td>CRDpA1223434hvHzdDwc6</td></tr><tr><td><code>description</code></td><td>Describes the update status of the token. </td><td>Network token updated</td></tr><tr><td><code>card_bin</code></td><td>The first 6 digits of the underlying card (PAN), identifying the issuer.</td><td>345888</td></tr><tr><td><code>card_expiration_month</code></td><td>Expiration month of the underlying card (1–12).</td><td>8</td></tr><tr><td><code>card_expiration_year</code></td><td>Expiration year of the underlying card.</td><td>2030</td></tr><tr><td><code>card_last4</code></td><td>Last 4 digits of the underlying card (PAN).</td><td>1005</td></tr><tr><td><code>payment_account_reference</code></td><td>Payment Account Reference (PAR). A non-sensitive value that links a card to its network tokens across the payment ecosystem. May be empty.</td><td>V00100...</td></tr><tr><td><code>network_token_expiration_month</code></td><td>Expiration month of the network token. Empty when no active token exists.</td><td>6</td></tr><tr><td><code>network_token_expiration_year</code></td><td>Expiration year of the network token. Empty when no active token exists.</td><td>2042</td></tr><tr><td><code>network_token</code></td><td>The network token (DPAN) provisioned for the card. Empty when provisioning has not succeeded.</td><td>4242000000004242</td></tr><tr><td><code>state</code></td><td>Current state of the network token for this card (for example, <code>active</code> or <code>failed</code>).</td><td>active</td></tr><tr><td><code>tenant_id</code></td><td>Identifier of the CMP account that this card belongs to.</td><td>ACT12ab...</td></tr><tr><td><code>updated_at</code></td><td>Time the record was last updated in CMP (RFC 3339, UTC).</td><td>2026-06-06T18:30:00.322Z</td></tr><tr><td><code>reason_text</code></td><td>Human-readable explanation of the reason code.</td><td>A network token has been successfully provisioned.</td></tr></tbody></table>

## Sample Report

{% file src="/files/6fULg7pssFvOazKRIfNW" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verygoodsecurity.com/enterprise-platform/core-platform/reports/scheduled-report-delivery/network-tokens-lifecycle-events-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
